package info.kramann.vr;

import processing.core.*; 
import processing.data.*; 
import processing.event.*; 
import processing.opengl.*; 
import processing.vr.*; 

/**
 * init() intialisiert einen Sketch passend zum Betriebssystem
 */
public class Initializer
{
     public static void init(PApplet pap)
     {
          int version = Systemanalyse.isAndroid();
          
          if(version==0)
          {
              //pap.fullScreen();
              pap.frameRate(30);
              pap.println("Initialisierung für PC im Java-Mode");
          }
          else if(version<6)
          {
              pap.orientation(PApplet.LANDSCAPE);
              //pap.fullScreen("processing.vr.PGraphicsVRMono");
              pap.fullScreen();
              pap.frameRate(30);
              pap.println("Initialisierung für Tablets/Smartphoes ohne VR");
          }
          else
          {
              //MONO=processing.vr.PGraphicsVRMono
              //STEREO=processing.vr.PGraphicsVRStereo
              
              //pap.fullScreen("processing.vr.PGraphicsVRStereo");
              //statt dessen in Beispielprogramm:
              //public void settings() {  fullScreen(STEREO); }
              pap.frameRate(30);
              pap.println("Initialisierung für Tablets/Smartphoes mit VR");
          }
     }
}
