package info.kramann.vr;

import java.util.Properties;
import android.os.Build.VERSION;


public class Systemanalyse
{
    /**
     *  0==PC / Linux / Windows / MAC
     *  1..8 Android-Versionen
     */
    public static int isAndroid()
    {
          Properties prop = System.getProperties();
          String betriebssystem = prop.getProperty("os.name");
          String javaversion = prop.getProperty("os.version");
          String GENERIC = "generic";
          if(!betriebssystem.equals("Linux"))
               return 0;
          else if(javaversion.length()>=GENERIC.length() && 
                  javaversion.substring(javaversion.length()-GENERIC.length(),javaversion.length()).equals(GENERIC)
                 )
          {
              return 0; //generic Linux
          }
          else
          {
              //wird nur aufgerufen, wenn es ein Android-System ist!
              String version = VERSION.RELEASE;
              String v = version.substring(0,1);
              return (int)Double.parseDouble(v);
          }
    }
}
